### Function

# GLib int64_hash

since: 2.22

#### Declaration [src]

    guint
    g_int64_hash (
      gconstpointer v
    )

#### Description [src]

Converts a pointer to a #gint64 to a hash value.

It can be passed to `g_hash_table_new()` as the `hash_func` parameter, when using non-`NULL` pointers to 64-bit integer values as keys in a `GHashTable`.

Available since: 2.22

#### Parameters

`v`

  Type: `gconstpointer`

  A pointer to a #gint64 key.

  The data is owned by the caller of the function.

#### Return value

Type: `guint`

A hash value corresponding to the key.